cc.funkemunky.api.bungee

## Class BungeeManager

- java.lang.Object
- - cc.funkemunky.api.bungee.BungeeManager

All Implemented Interfaces:
  org.bukkit.plugin.messaging.PluginMessageListener

    public class BungeeManager
    extends java.lang.Object
    implements org.bukkit.plugin.messaging.PluginMessageListener

### Constructor Summary

Constructors
Constructor and Description
`BungeeManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onPluginMessageReceived(java.lang.String channel, org.bukkit.entity.Player player, byte[] bytes)`
`void` `sendData(byte[] data)`
`void` `sendData(byte[] data, java.lang.String out)`
`void` `sendObjects(java.lang.String server, java.lang.Object... objects)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BungeeManager

    public BungeeManager()

### Method Detail

#### sendData

    public void sendData(byte[] data,
                         java.lang.String out)

#### sendData

    public void sendData(byte[] data)

#### sendObjects

    public void sendObjects(java.lang.String server,
                            java.lang.Object... objects)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### onPluginMessageReceived

    public void onPluginMessageReceived(java.lang.String channel,
                                        org.bukkit.entity.Player player,
                                        byte[] bytes)

Specified by:
  `onPluginMessageReceived` in interface `org.bukkit.plugin.messaging.PluginMessageListener`